public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/MooseX-LazyRequire/
Date: Sun, 10 Feb 2013 19:29:42 +0000 (UTC)	[thread overview]
Message-ID: <1360509421.52a205a13ad16bd27e1252728bfc07b1e0df384a.kent@gentoo> (raw)

commit:     52a205a13ad16bd27e1252728bfc07b1e0df384a
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sun Feb 10 15:17:01 2013 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sun Feb 10 15:17:01 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=52a205a1

[newversion] MooseX-LazyRequire-0.90.0

Package-Manager: portage-2.2.0_alpha141
Manifest-Sign-Key: ECD2C675C102CDA4

---
 dev-perl/MooseX-LazyRequire/ChangeLog              |    6 ++
 .../MooseX-LazyRequire-0.90.0.ebuild               |   56 ++++++++++++++++++++
 2 files changed, 62 insertions(+), 0 deletions(-)

diff --git a/dev-perl/MooseX-LazyRequire/ChangeLog b/dev-perl/MooseX-LazyRequire/ChangeLog
index dd8af65..1a0b0d9 100644
--- a/dev-perl/MooseX-LazyRequire/ChangeLog
+++ b/dev-perl/MooseX-LazyRequire/ChangeLog
@@ -2,6 +2,12 @@
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*MooseX-LazyRequire-0.90.0 (10 Feb 2013)
+
+  10 Feb 2013; Kent Fredric <kentfredric@gmail.com>
+  +MooseX-LazyRequire-0.90.0.ebuild:
+  Version Bump
+
   07 Feb 2013; Kent Fredric <kentfredric@gmail.com>
   MooseX-LazyRequire-0.60.0.ebuild, MooseX-LazyRequire-0.70.0.ebuild,
   MooseX-LazyRequire-0.80.0.ebuild:

diff --git a/dev-perl/MooseX-LazyRequire/MooseX-LazyRequire-0.90.0.ebuild b/dev-perl/MooseX-LazyRequire/MooseX-LazyRequire-0.90.0.ebuild
new file mode 100644
index 0000000..1d7844c
--- /dev/null
+++ b/dev-perl/MooseX-LazyRequire/MooseX-LazyRequire-0.90.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=ETHER
+MODULE_VERSION=0.09
+inherit perl-module
+
+DESCRIPTION='Required attributes which fail only when trying to use them'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+	# ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_runtime() {
+	# Carp
+	echo dev-lang/perl
+	# Moose 0.94 ( 0.940.0 )
+	echo \>=dev-perl/Moose-0.940.0
+	# Moose::Exporter
+	echo dev-perl/Moose
+	# Moose::Role
+	echo dev-perl/Moose
+	# aliased 0.30 ( 0.300.0 )
+	echo \>=dev-perl/aliased-0.300.0
+	# namespace::autoclean
+	echo dev-perl/namespace-autoclean
+}
+perl_meta_test() {
+	# File::Find
+	echo dev-lang/perl
+	# File::Temp
+	echo virtual/perl-File-Temp
+	# Test::CheckDeps 0.002 ( 0.2.0 )
+	echo \>=dev-perl/Test-CheckDeps-0.2.0
+	# Test::Fatal
+	echo dev-perl/Test-Fatal
+	# Test::More 0.88 ( 0.880.0 )
+	echo \>=virtual/perl-Test-Simple-0.88
+	# strict
+	echo dev-lang/perl
+	# warnings
+	echo dev-lang/perl
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_runtime)
+	test? ( $(perl_meta_test) )
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do"


             reply	other threads:[~2013-02-10 19:29 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-02-10 19:29 Kent Fredric [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-11-22  6:54 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/MooseX-LazyRequire/ Kent Fredric
2015-06-08 14:00 Kent Fredric
2013-04-28 16:45 Kent Fredric
2013-04-28 14:06 Kent Fredric
2013-02-10 19:29 Kent Fredric
2013-02-07 13:55 Kent Fredric
2012-07-25 18:30 Kent Fredric
2011-04-05 18:16 Kent Fredric
2011-04-05 11:17 Kent Fredric
2011-04-05 11:17 Kent Fredric

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1360509421.52a205a13ad16bd27e1252728bfc07b1e0df384a.kent@gentoo \
    --to=kentfredric@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox